- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#body.BatchCreateBreakTemplatesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#body.aspect)
- [CreateBreakTemplateRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#CreateBreakTemplateRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#CreateBreakTemplateRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#try-it)

Batch creates `BreakTemplate` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/breakTemplates:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `BreakTemplates` will be created. Format: `networks/{networkCode}` The parent field in the `CreateBreakTemplateRequest` must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#CreateBreakTemplateRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates/batchCreate#CreateBreakTemplateRequest`)`` Required. The `BreakTemplate` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `breakTemplates.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "breakTemplates": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates#BreakTemplate`) } ] } ``` |

| Fields ||
|---|---|
| `breakTemplates[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates#BreakTemplate`)`` The `BreakTemplate` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateBreakTemplateRequest

Request object for `breakTemplates.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "breakTemplate": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates#BreakTemplate`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `BreakTemplate` will be created. Format: `networks/{networkCode}` |
| `breakTemplate` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.breakTemplates#BreakTemplate`)`` Required. The `BreakTemplate` to create. |